cephfs-mirror: cephfs-mirror daemon status for a particular FS is not showing

08/02/2021 10:38 AM - Venky Shankar

Status: Resolved % Done: 0%

Priority: Normal   

Assignee: Venky Shankar   

Category:    

Target version: v17.0.0   

Source:  ceph-qa-suite:  

Tags:  Component(FS):  

Backport: pacific Labels (FS):  

Regression: No Pull request ID: 42584

Severity: 3 - minor Crash signature (v1):  

Reviewed:  Crash signature (v2):  

Affected Versions:    

Description

`daemon status` doesn't require a file system name.

ceph fs snapshot mirror daemon status  

Error ENOENT: filesystem None does not exist

[ceph: root@magna021 ceph]# ceph fs snapshot mirror daemon status cephfs

[{"daemon_id": 2909186, "filesystems": [{"filesystem_id": 8, "name": "cephfs-ec", "directory_count

": 3, "peers": [{"uuid": "a021d3cd-dda6-4d61-802c-9243d0702a8f", "remote": {"client_name": "client

.mirror_new", "cluster_name": "new", "fs_name": "cephfs-new"}, "stats": {"failure_count": 0, "reco

very_count": 0}}]}, {"filesystem_id": 11, "name": "cephfs", "directory_count": 3, "peers": [{"uuid

": "54d054aa-f9a4-484d-851a-5b1cd1c5f678", "remote": {"client_name": "client.mirror_secondary", "c

luster_name": "remote-site", "fs_name": "cephfs-remote"}, "stats": {"failure_count": 0, "recovery_

count": 0}}]}]}]

[ceph: root@magna021 ceph]# ceph fs snapshot mirror daemon status cephfs-ec

[{"daemon_id": 2909186, "filesystems": [{"filesystem_id": 8, "name": "cephfs-ec", "directory_count

": 3, "peers": [{"uuid": "a021d3cd-dda6-4d61-802c-9243d0702a8f", "remote": {"client_name": "client

.mirror_new", "cluster_name": "new", "fs_name": "cephfs-new"}, "stats": {"failure_count": 0, "reco

very_count": 0}}]}, {"filesystem_id": 11, "name": "cephfs", "directory_count": 3, "peers": [{"uuid

": "54d054aa-f9a4-484d-851a-5b1cd1c5f678", "remote": {"client_name": "client.mirror_secondary", "c

luster_name": "remote-site", "fs_name": "cephfs-remote"}, "stats": {"failure_count": 0, "recovery_

count": 0}}]}]}]

[ceph: root@magna021 ceph]#

 

Remove file system name from `daemon status` command interface.

Related issues:

Copied to CephFS - Backport #52627: pacific: cephfs-mirror: cephfs-mirror dae... Resolved

History

#1 - 08/02/2021 11:44 AM - Venky Shankar

- Status changed from In Progress to Fix Under Review

- Pull request ID set to 42584

#2 - 09/16/2021 02:33 AM - Patrick Donnelly
- Status changed from Fix Under Review to Pending Backport

#3 - 09/16/2021 02:35 AM - Backport Bot

- Copied to Backport #52627: pacific: cephfs-mirror: cephfs-mirror daemon status for a particular FS is not showing added

#4 - 10/21/2021 06:00 AM - Loïc Dachary

- Status changed from Pending Backport to Resolved

While running with --resolve-parent, the script "backport-create-issue" noticed that all backports of this issue are in status "Resolved" or "Rejected".

Powered by TCPDF (www.tcpdf.org)

04/05/2024 2/2

http://www.tcpdf.org

